Get Node Statistics
curl --request GET \
--url https://api.example.com/cabinet/admin/remnawave/nodes/{node_uuid}/statistics \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/cabinet/admin/remnawave/nodes/{node_uuid}/statistics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/cabinet/admin/remnawave/nodes/{node_uuid}/statistics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"node": {
"uuid": "<string>",
"name": "<string>",
"address": "<string>",
"is_connected": true,
"is_disabled": true,
"is_node_online": true,
"is_xray_running": true,
"country_code": "<string>",
"users_online": 123,
"traffic_used_bytes": 123,
"traffic_limit_bytes": 123,
"last_status_change": "2023-11-07T05:31:56Z",
"last_status_message": "<string>",
"xray_uptime": "<string>",
"is_traffic_tracking_active": false,
"traffic_reset_day": 123,
"notify_percent": 123,
"consumption_multiplier": 1,
"cpu_count": 123,
"cpu_model": "<string>",
"total_ram": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"provider_uuid": "<string>"
},
"realtime": {},
"usage_history": [
{}
],
"last_updated": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Cabinet Admin RemnaWave
Get Node Statistics
Get node statistics with usage history.
GET
/
cabinet
/
admin
/
remnawave
/
nodes
/
{node_uuid}
/
statistics
Get Node Statistics
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
⌘I
